# eth\_sendTransaction

{% hint style="warning" %}
The `eth_sendTransaction` JSON-RPC method is not supported because chainRPC doesn't store the user's private key required to sign the transaction. Use [`eth_sendRawTransaction`](/chainrpc/networks/ethereum/json-rpc-methods/eth_sendrawtransaction.md) instead.
{% endhint %}

In [the Web3 tutorial](broken://pages/jam8drLG8Frw6LJtjxi2), we use [`web3.eth.sendTransaction`](https://web3js.readthedocs.io/en/v1.2.0/web3-eth.html#sendtransaction), which in turn signs the transaction locally using the private key of the account, and sends the transaction via [`web3.eth.sendSignedTransaction`](https://web3js.readthedocs.io/en/v1.2.0/web3-eth.html#sendsignedtransaction), which is a wrapper for [`eth_sendRawTransaction`](/chainrpc/networks/ethereum/json-rpc-methods/eth_sendrawtransaction.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chainrpc.io/chainrpc/networks/ethereum/json-rpc-methods/eth_sendtransaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
